跳转到主要内容
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
authorizations
列出账户授权
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/authorizations \
  --header 'Authorization: Bearer <token>'
[
  {
    "grant_kind": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subject_id": "<string>",
    "subject_type": "<string>",
    "capability_key": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resource_type": "<string>",
    "revoked_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

路径参数

account_id
string<uuid>
必填

查询参数

subject_type
enum<string> | null

授权主体类型。

可用选项:
user,
group,
service_account
subject_id
string | null
grant_kind
enum<string> | null

授权授予类型。

可用选项:
capability,
account_owner,
super_admin
capability_key
string | null
include_revoked
boolean
默认值:false

响应

grant_kind
string
必填
id
string<uuid>
必填
subject_id
string
必填
subject_type
string
必填
capability_key
string | null
created_at
string<date-time> | null
resource_id
string<uuid> | null
resource_type
string | null
revoked_at
string<date-time> | null